Search Conversations
Returns a list of all conversations matching the search criteria along with the sort and filter options selected.
GET
/
conversations
/
search
Search Conversations
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/search \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/search"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"conversations": [
{
"id": "ABCHkzuJQ8ZMd4Te84GK",
"contactId": "ABCHkzuJQ8ZMd4Te84GK",
"locationId": "ABCHkzuJQ8ZMd4Te84GK",
"lastMessageBody": "This is a sample message body",
"lastMessageType": "TYPE_SMS",
"type": "TYPE_PHONE",
"unreadCount": 1,
"fullName": "John Doe",
"contactName": "John Doe Company",
"email": "johndoe@mailingdomain.com",
"phone": "+15550001234"
}
],
"total": 100
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Query Parameters
Type of the last message in the conversation as a string
Available options:
TYPE_CALL, TYPE_SMS, TYPE_EMAIL, TYPE_SMS_REVIEW_REQUEST, TYPE_WEBCHAT, TYPE_SMS_NO_SHOW_REQUEST, TYPE_CAMPAIGN_SMS, TYPE_CAMPAIGN_CALL, TYPE_CAMPAIGN_EMAIL, TYPE_CAMPAIGN_VOICEMAIL, TYPE_FACEBOOK, TYPE_CAMPAIGN_FACEBOOK, TYPE_CAMPAIGN_MANUAL_CALL, TYPE_CAMPAIGN_MANUAL_SMS, TYPE_GMB, TYPE_CAMPAIGN_GMB, TYPE_REVIEW, TYPE_INSTAGRAM, TYPE_WHATSAPP, TYPE_CUSTOM_SMS, TYPE_CUSTOM_EMAIL, TYPE_CUSTOM_PROVIDER_SMS, TYPE_CUSTOM_PROVIDER_EMAIL, TYPE_IVR_CALL, TYPE_ACTIVITY_CONTACT, TYPE_ACTIVITY_INVOICE, TYPE_ACTIVITY_PAYMENT, TYPE_ACTIVITY_OPPORTUNITY, TYPE_LIVE_CHAT, TYPE_LIVE_CHAT_INFO_MESSAGE, TYPE_ACTIVITY_APPOINTMENT, TYPE_FACEBOOK_COMMENT, TYPE_INSTAGRAM_COMMENT, TYPE_CUSTOM_CALL, TYPE_INTERNAL_COMMENT, TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG Example:
"TYPE_SMS"
Last modified on March 8, 2026
Was this page helpful?
Search Conversations
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/search \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/search"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"conversations": [
{
"id": "ABCHkzuJQ8ZMd4Te84GK",
"contactId": "ABCHkzuJQ8ZMd4Te84GK",
"locationId": "ABCHkzuJQ8ZMd4Te84GK",
"lastMessageBody": "This is a sample message body",
"lastMessageType": "TYPE_SMS",
"type": "TYPE_PHONE",
"unreadCount": 1,
"fullName": "John Doe",
"contactName": "John Doe Company",
"email": "johndoe@mailingdomain.com",
"phone": "+15550001234"
}
],
"total": 100
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}